ランタイム: Mix::Scene::ICamera Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Protected Member Functions | List of all members
Mix::Scene::ICamera Class Referenceabstract

カメラインターフェースインクルードファイル More...

`#include <ICamera.h>`

Inheritance diagram for Mix::Scene::ICamera:
[legend]
Collaboration diagram for Mix::Scene::ICamera:
[legend]

## Classes

struct | AMBIENT_OCCLUSION_SETTINGS
| アンビエントオクルージョン設定構造体 More...
struct | BLOOM_OVERFLOW
| ブルームオーバーフロウ構造体 More...
struct | BLOOM_SETTINGS
| ブルーム設定構造体 More...
struct | CHROMATISM_SETTINGS
| 色収差設定構造体 More...
struct | DEBUG_DRAW_FILIMIC_SETTINGS
| デバッグ : フィルミック描画設定構造体 More...
struct | DISTORTION_SETTINGS
| 歪曲パラメータ構造体 More...
struct | DOF_SETTINGS
| 被写界深度設定構造体 More...
struct | FILMIC_HABLE_SETTINGS
| フィルミック HABLE パラメータ構造体 More...
struct | LENS_FLARE_SETTINGS
| レンズフレア設定構造体 More...
struct | LIGHT_SHAFTS_SETTINGS
| ライトシャフト設定構造体 More...
struct | LUMINOSITY_SETTINGS
| ルミノシティ設定構造体 More...
struct | MOTION_BLUR_SETTINGS
| モーションブラー設定構造体 More...
struct | SHADOW_MAPPING_SETTINGS
| シャドウマッピング設定構造体 More...
struct | VIGNETTE_SETTINGS
| ヴィネット設定構造体 More...
struct | VISIBILITY_SETTINGS
| 視界設定構造体 More...

## Public Types

enum | SHADOW_MAPPING_PCF_SIZE { SMPS_3 = 0, SMPS_5 = 1, SMPS_7 = 2 }
| シャドウマッピングＰＣＦサイズ列挙定数 More...
enum | LUMINOSITY_FLAG { LUM_TONE_MAPPING = 0x00000001, LUM_BLUE_SHIFT = 0x00000002, LUM_STATIC_MIDDLE_GRAY = 0x00000004 }
| ルミノシティフラグ列挙定数 More...
enum | LIGHT_SHAFTS_SAMPLES { LS_32, LS_64, LS_128 }
| ライトシャフトサンプル数列挙定数 More...
enum | LENS_FLARE_TEXTURE_TYPE { LFT_COLOR = 0, LFT_BRUST = 1, LFT_DIRT = 2 }
| レンズフレア : テクスチャ列挙定数 More...
enum | FILMIC_TYPE { FI_NONE = 0, FI_HEJL = 1, FI_HABLE = 2 }
| フィルミックタイプ列挙定数 More...
enum | MOTION_BLUR_QUALITY { MBQ_LOW = 0, MBQ_MIDDLE = 1, MBQ_HIGH = 2 }
| モーションブラー品質列挙定数 More...
enum | ANTIALIASING_TYPE { AA_NONE = 0, AA_FXAA = 1 }
| アンチエイリアシングタイプ列挙定数 More...
Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Public Member Functions

基本
virtual UInt32 | GetID (void) const =0
| 識別子を取得します More...
virtual const Mix::Scene::CAMERA_CONFIG & | GetConfig (void) const =0
| 設定を取得します More...
virtual Boolean | SetConfig (const Mix::Scene::CAMERA_CONFIG &config)=0
| 設定をします More...
virtual Float32 | GetFovY (void) const =0
| 垂直方向の画角を取得します More...
virtual Float32 | GetDefaultAspect (void) const =0
| デフォルトのアスペクト比を取得します More...
virtual Float32 | GetAspect (void) const =0
| アスペクト比を取得します More...
virtual Float32 | GetNearZ (void) const =0
| 手前のクリップ値を取得します More...
virtual Float32 | GetFarZ (void) const =0
| 奥のクリップ値を取得します More...
virtual const Mix::Matrix4x4 & | GetProjectionMatrix (void) const =0
| 射影行列を取得します More...
virtual void | SetProjection (Float32 fovY, Float32 nearZ, Float32 farZ)=0
| プロジェクションを設定します More...
virtual void | SetProjection (Float32 fovY, Float32 aspect, Float32 nearZ, Float32 farZ)=0
| プロジェクションを設定します More...
virtual void | SetProjection (Float32 fovY, UInt32 width, UInt32 height, Float32 nearZ, Float32 farZ)=0
| 射影行列を設定します More...
virtual void | Update (Float32 dt=0.016f)=0
| 更新します More...
virtual const Mix::Vector3 & | GetEye (void) const =0
| 視点を取得します More...
virtual const Mix::Vector3 & | GetAt (void) const =0
| 注視点を取得します More...
virtual const Mix::Vector3 & | GetViewVector (void) const =0
| ビューのベクトル(正規化されていない)を取得します More...
virtual const Mix::Vector3 & | GetViewForward (void) const =0
| ビューの前方向(正規化されている)を取得します More...
virtual const Mix::Vector3 & | GetViewUpward (void) const =0
| ビューの上方向(正規化されている)を取得します More...
virtual const Mix::Vector3 & | GetViewCrossDirection (void) const =0
| ビューの横方向(正規化されている)を取得します More...
virtual const Mix::Matrix4x4 & | GetViewMatrix (void) const =0
| ビュー行列を取得します More...
virtual const Mix::Geometry::Frustum & | GetFrustum (void) const =0
| フラスタムを取得します More...
virtual const Mix::Matrix4x4 & | GetViewProjectionMatrix (void) const =0
| 透視変換行列を取得します More...
virtual const Mix::Matrix4x4 & | GetInvViewProjectionMatrix (void) const =0
| 逆透視変換行列を取得します More...
virtual const Mix::Matrix4x4 & | GetBillboardMatrix (void) const =0
| ビルボード行列を取得します More...
virtual const Mix::Matrix4x4 & | GetBillboardMatrixY (void) const =0
| Y軸固定のビルボード行列を取得します More...
virtual Mix::Point | Project (const Mix::Vector3 &pos) const =0
| ワールド座標をスクリーン座標へ変換します More...
virtual Mix::Point | Project (const Mix::Point &viewPos, const Mix::Vector3 &pos) const =0
| ワールド座標をスクリーン座標へ変換します More...
virtual Mix::Point | Project (const Mix::Rectangle &viewRect, const Mix::Vector3 &pos) const =0
| ワールド座標をスクリーン座標へ変換します More...
virtual Mix::Vector3 | Unproject (const Mix::Point &pos, Float32 z) const =0
| スクリーン座標をワールド座標へ変換します More...
virtual Mix::Vector3 | Unproject (const Mix::Point &viewPos, const Mix::Point &pos, Float32 z) const =0
| スクリーン座標をワールド座標へ変換します More...
virtual Mix::Vector3 | Unproject (const Mix::Rectangle &viewRect, const Mix::Point &pos, Float32 z) const =0
| スクリーン座標をワールド座標へ変換します More...
virtual Boolean | DragObject (const Mix::Point &pos)=0
| シーン内のオブジェクトをドラッグします More...
virtual Boolean | DragObject (const Mix::Point &screenPos, const Mix::Point &pos)=0
| シーン内のオブジェクトをドラッグします More...
virtual Boolean | DragObject (const Mix::Rectangle &screenRect, const Mix::Point &pos)=0
| シーン内のオブジェクトをドラッグします More...
virtual const Mix::Vector4 & | GetBackgroundColor (void) const =0
| バックグラウンドカラーを取得します More...
virtual void | SetBackgroundColor (const Mix::Vector4 &color)=0
| バックグラウンドカラーを設定します More...
virtual Mix::Graphics::TEXTURE_FILTER_TYPE | GetFilterType (void) const =0
| フィルターのタイプを取得します More...
virtual void | SetFilterType (Mix::Graphics::TEXTURE_FILTER_TYPE type)=0
| フィルターのタイプを設定します More...
virtual Boolean | Draw (void)=0
| 描画します More...
virtual Boolean | IsUnderWater (void) const =0
| 水中にいるかどうかを確認します More...
視界
virtual const Mix::Scene::ICamera::VISIBILITY_SETTINGS & | GetVisiblitySettings (void) const =0
| 設定を取得します More...
virtual void | SetVisiblitySettings (const Mix::Scene::ICamera::VISIBILITY_SETTINGS &settings)=0
| 設定をします More...
アンビエントオクルージョン
virtual Boolean | IsAmbientOcclusionEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetAmbientOcclusionEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::AMBIENT_OCCLUSION_SETTINGS & | GetAmbientOcclusionSettings (void) const =0
| 設定を取得します More...
virtual void | SetAmbientOcclusionSettings (const Mix::Scene::ICamera::AMBIENT_OCCLUSION_SETTINGS &settings)=0
| 設定をします More...
virtual Boolean | GetAmbientOcclusionTexture (Mix::Graphics::ITexture **ppTex)=0
| テクスチャを取得します。 More...
virtual void | SetAmbientOcclusionTexture (Mix::Graphics::ITexture *pTex)=0
| テクスチャを設定します。 More...
シャドウマッピング
virtual Boolean | IsShadowMappingEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetShadowMappingEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::SHADOW_MAPPING_SETTINGS & | GetShadowMappingSettings (void) const =0
| 設定を取得します More...
virtual void | SetShadowMappingSettings (const Mix::Scene::ICamera::SHADOW_MAPPING_SETTINGS &settings)=0
| 設定をします More...
ルミノシティ
virtual const Mix::Scene::ICamera::LUMINOSITY_SETTINGS & | GetLuminositySettings (void) const =0
| 設定を取得します More...
virtual void | SetLuminositySettings (const Mix::Scene::ICamera::LUMINOSITY_SETTINGS &settings)=0
| 設定をします More...
virtual UInt32 | ResumeLuminosityAdaptation (void)=0
| 輝度順応のサスペンドカウントを１減らします More...
virtual UInt32 | SusupendLuminosityAdaptation (void)=0
| 輝度順応のサスペンドカウントを１増やします More...
virtual UInt32 | GetLuminosityAdaptationSuspendCount (void) const =0
| 輝度順応のサスペンドカウントを取得します More...
virtual void | ForceLuminosityAdaptation (void)=0
| 強制的に現在の輝度に順応させます More...
virtual void | SetLuminosityAdaptation (Float32 lum)=0
| 指定した輝度に順応させます More...
ブルーム
virtual Boolean | IsBloomEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetBloomEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual UInt32 | GetBloomOverflowNum (void) const =0
| オーバーフローの数を取得します More...
virtual const Mix::Scene::ICamera::BLOOM_OVERFLOW & | GetBloomOverflow (UInt32 index) const =0
| オーバーフローを取得します More...
virtual void | SetBloomOverflow (UInt32 index, const Mix::Scene::ICamera::BLOOM_OVERFLOW &overflow)=0
| オーバーフローを設定します More...
virtual const Mix::Scene::ICamera::BLOOM_SETTINGS & | GetBloomSettings (void) const =0
| 設定を取得します More...
virtual void | SetBloomSettings (const Mix::Scene::ICamera::BLOOM_SETTINGS &settings)=0
| 設定をします More...
ライトシャフト
virtual Boolean | IsLightShaftsEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetLightShaftsEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::LIGHT_SHAFTS_SETTINGS & | GetLightShaftsSettings (void) const =0
| 設定を取得します More...
virtual void | SetLightShaftsSettings (const Mix::Scene::ICamera::LIGHT_SHAFTS_SETTINGS &settings)=0
| 設定をします More...
virtual Boolean | GetLightShaftsTexture (Mix::Graphics::ITexture **ppTex)=0
| テクスチャを取得します。 More...
virtual void | SetLightShaftsTexture (Mix::Graphics::ITexture *pTex)=0
| テクスチャを設定します。 More...
レンズフレア
virtual Boolean | IsLensFlareEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetLensFlareEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::LENS_FLARE_SETTINGS & | GetLensFlareSettings (void) const =0
| 設定を取得します More...
virtual void | SetLensFlareSettings (const Mix::Scene::ICamera::LENS_FLARE_SETTINGS &settings)=0
| 設定をします More...
virtual Boolean | GetLensFlareTexture (Mix::Scene::ICamera::LENS_FLARE_TEXTURE_TYPE type, Mix::Graphics::ITexture **ppTexture)=0
| 装飾するテクスチャを取得します More...
virtual void | SetLensFlareTexture (Mix::Scene::ICamera::LENS_FLARE_TEXTURE_TYPE type, Mix::Graphics::ITexture *pTexture)=0
| 装飾するテクスチャを設定します More...
フィルミック
virtual Boolean | IsFilmicEnabled (void) const =0
| 有効かどうかを確認します。 More...
virtual void | SetFilmicEnabled (Boolean state)=0
| 有効にするかどうかを設定します。 More...
virtual Mix::Scene::ICamera::FILMIC_TYPE | GetFilmicType (void) const =0
| タイプを取得します More...
virtual Boolean | GetFilmicSettings (void *pSettings, UInt32 size) const =0
| パラメータを取得します More...
virtual Boolean | SetFilmicType (Mix::Scene::ICamera::FILMIC_TYPE type, const void *pSettings=NULL, UInt32 size=0)=0
| タイプを設定します More...
ガンマ
virtual Boolean | IsGammaEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetGammaEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Vector3 & | GetGammaValue (void) const =0
| 値を取得します More...
virtual void | SetGammaValue (const Mix::Vector3 &value)=0
| 値を設定します More...
virtual void | SetGammaValue (Float32 value)=0
| 値を設定します More...
モーションブラー
virtual Boolean | IsMotionBlurEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetMotionBlurEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::MOTION_BLUR_SETTINGS & | GetMotionBlurSettings (void) const =0
| 設定を取得します More...
virtual void | SetMotionBlurSettings (const Mix::Scene::ICamera::MOTION_BLUR_SETTINGS &settings)=0
| 設定をします More...
virtual Boolean | IsMotionBlurActivated (void) const =0
| 活動状態かどうかを確認します More...
virtual UInt32 | GetMotionBlurCurrentAmount (void) const =0
| 現在保持されている状態の数を取得します More...
色収差
virtual Boolean | IsChromatismEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetChromatismEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::CHROMATISM_SETTINGS & | GetChromatismSettings (void) const =0
| 設定を取得します More...
virtual void | SetChromatismSettings (const Mix::Scene::ICamera::CHROMATISM_SETTINGS &settings)=0
| 設定します More...
被写界深度
virtual Boolean | IsDofEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetDofEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::DOF_SETTINGS & | GetDofSettings (void) const =0
| 設定を取得します More...
virtual void | SetDofSettings (const Mix::Scene::ICamera::DOF_SETTINGS &settings)=0
| 設定します More...
歪曲収差
virtual Boolean | IsLensDistortionEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetLensDistortionEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::DISTORTION_SETTINGS & | GetLendDistortionSettings (void) const =0
| 設定を取得します More...
virtual void | SetLendDistortionSettings (const Mix::Scene::ICamera::DISTORTION_SETTINGS &settings)=0
| 設定します More...
ヴィネット
virtual Boolean | IsVignetteEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetVignetteEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::VIGNETTE_SETTINGS & | GetVignetteSettings (void) const =0
| 設定を取得します More...
virtual void | SetVignetteSettings (const Mix::Scene::ICamera::VIGNETTE_SETTINGS &settings)=0
| 設定をします More...
アンチエイリアシング
virtual Mix::Scene::ICamera::ANTIALIASING_TYPE | GetAntiAliasingType (void) const =0
| タイプを取得します More...
virtual void | SetAntiAliasingType (Mix::Scene::ICamera::ANTIALIASING_TYPE type)=0
| タイプを設定します More...
デバッグ
virtual void | Debug_SetFillType (Mix::Graphics::FILL_TYPE type)=0
| フィルタイプを設定します More...
virtual Mix::Graphics::FILL_TYPE | Debug_GetFillType (void) const =0
| フィルタイプを取得します More...
virtual void | Debug_SetDrawMethod (Mix::Scene::DEBUG_DRAW_METHOD method)=0
| 描画メソッドを設定します More...
virtual Mix::Scene::DEBUG_DRAW_METHOD | Debug_GetDrawMethod (void) const =0
| 描画メソッドを取得します More...
virtual void | Debug_SetDrawFlags (UInt32 flags)=0
| 描画フラグを設定します More...
virtual UInt32 | Debug_GetDrawFlags (void) const =0
| 描画フラグを取得します More...
virtual const Mix::Scene::ICamera::DEBUG_DRAW_FILIMIC_SETTINGS & | Debug_GetDrawFilmicSettings (void) const =0
| フィルミックの描画設定を取得します More...
virtual void | Debug_SetDrawFilmicSettings (const Mix::Scene::ICamera::DEBUG_DRAW_FILIMIC_SETTINGS &settings)=0
| フィルミックの描画設定をします More...
virtual UInt32 | Debug_GetProfile (UInt32 type, void *pProf, UInt32 size) const =0
| プロファイルを取得します More...
virtual UInt32 | Debug_GetImageNum (UInt32 type) const =0
| イメージの数を取得します More...
virtual Boolean | Debug_GetImage (UInt32 type, UInt32 index, Mix::Graphics::ITexture **ppTexture)=0
| イメージを取得します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ICamera (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

カメラインターフェースインクルードファイル

## Member Enumeration Documentation

enum Mix::Scene::ICamera::SHADOW_MAPPING_PCF_SIZE

シャドウマッピングＰＣＦサイズ列挙定数

Enumerator
SMPS_3 | 3x3サンプル
SMPS_5 | 5x5サンプル
SMPS_7 | 7x7サンプル

enum Mix::Scene::ICamera::LUMINOSITY_FLAG

ルミノシティフラグ列挙定数

Enumerator
LUM_TONE_MAPPING | トーンマッピング

LUM_BLUE_SHIFT

ブルーシフト

Note
  このフラグを設定した場合、全体に青みがかった感じになります。
  夜などの時間帯や暗闇に対して有効な設定です。

LUM_STATIC_MIDDLE_GRAY

スタティックミドルグレイ

Note
  このフラグを設定した場合は、中間の明るさ( LUMINANCE_OPERATION_SETTINGS::middleGray ) の値を設定する必要があります。

enum Mix::Scene::ICamera::LIGHT_SHAFTS_SAMPLES

ライトシャフトサンプル数列挙定数

Enumerator
LS_32 | 32サンプル
LS_64 | 64サンプル
LS_128 | 128サンプル

enum Mix::Scene::ICamera::LENS_FLARE_TEXTURE_TYPE

レンズフレア : テクスチャ列挙定数

Enumerator
LFT_COLOR | カラーテクスチャ( 残像の色 )
LFT_BRUST | ブラストテクスチャ( 虹輪の放射 )
LFT_DIRT | ダートテクスチャ( レンズの汚れ )

enum Mix::Scene::ICamera::FILMIC_TYPE

フィルミックタイプ列挙定数

Enumerator
FI_NONE | 無効
FI_HEJL | Jim Hejl.
FI_HABLE | John Hable.

enum Mix::Scene::ICamera::MOTION_BLUR_QUALITY

モーションブラー品質列挙定数

Enumerator
MBQ_LOW | 最低品質( 8サンプル )
MBQ_MIDDLE | 通常品質( 16サンプル )
MBQ_HIGH | 最高品質( 24サンプル )

enum Mix::Scene::ICamera::ANTIALIASING_TYPE

アンチエイリアシングタイプ列挙定数

Enumerator
AA_NONE | 無し
AA_FXAA | FXAA.

## Constructor & Destructor Documentation

virtual Mix::Scene::ICamera::~ICamera | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual UInt32 Mix::Scene::ICamera::GetID | ( | void |  | ) | const

pure virtual

識別子を取得します

Returns
  識別子を返します

Note
  識別子は 0〜16 の範囲になります。
  また、既に破棄されている場合の値は 0xFFFFFFFF になります。

virtual const Mix::Scene::CAMERA_CONFIG& Mix::Scene::ICamera::GetConfig | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::CAMERA_CONFIG 構造体を返します

virtual Boolean Mix::Scene::ICamera::SetConfig | ( | const Mix::Scene::CAMERA_CONFIG & | config | ) |

pure virtual

設定をします

Parameters

  [in] | config | 設定を表す const Mix::Scene::CAMERA_CONFIG 構造体

Returns
  成功した場合は True を返します

virtual Float32 Mix::Scene::ICamera::GetFovY | ( | void |  | ) | const

pure virtual

垂直方向の画角を取得します

Returns
  垂直方向の画角( ラジアン単位 )

virtual Float32 Mix::Scene::ICamera::GetDefaultAspect | ( | void |  | ) | const

pure virtual

デフォルトのアスペクト比を取得します

Returns
  アスペクト比

virtual Float32 Mix::Scene::ICamera::GetAspect | ( | void |  | ) | const

pure virtual

アスペクト比を取得します

Returns
  アスペクト比

virtual Float32 Mix::Scene::ICamera::GetNearZ | ( | void |  | ) | const

pure virtual

手前のクリップ値を取得します

Returns
  手前のクリップ値

virtual Float32 Mix::Scene::ICamera::GetFarZ | ( | void |  | ) | const

pure virtual

奥のクリップ値を取得します

Returns
  奥のクリップ値

virtual const Mix::Matrix4x4& Mix::Scene::ICamera::GetProjectionMatrix | ( | void |  | ) | const

pure virtual

射影行列を取得します

Returns
  射影行列を表す Mix::Matrix4x4 クラスを返します

virtual void Mix::Scene::ICamera::SetProjection | ( | Float32 | fovY,
|  | Float32 | nearZ,
|  | Float32 | farZ
| ) |  |

pure virtual

プロジェクションを設定します

Parameters

  [in] | fovY | 視野の垂直方向の画角( ラジアン単位 )
  [in] | nearZ | 手間のクリップ値
  [in] | farZ | 奥のクリップ値

virtual void Mix::Scene::ICamera::SetProjection | ( | Float32 | fovY,
|  | Float32 | aspect,
|  | Float32 | nearZ,
|  | Float32 | farZ
| ) |  |

pure virtual

プロジェクションを設定します

Parameters

  [in] | fovY | 視野の垂直方向の画角( ラジアン単位 )
  [in] | aspect | アスペクト比
  [in] | nearZ | 手間のクリップ値
  [in] | farZ | 奥のクリップ値

virtual void Mix::Scene::ICamera::SetProjection | ( | Float32 | fovY,
|  | UInt32 | width,
|  | UInt32 | height,
|  | Float32 | nearZ,
|  | Float32 | farZ
| ) |  |

pure virtual

射影行列を設定します

Parameters

  [in] | fovY | 視野の垂直方向の画角( ラジアン単位 )
  [in] | width | 画面の幅
  [in] | height | 画面の高さ
  [in] | nearZ | 手間のクリップ値
  [in] | farZ | 奥のクリップ値

virtual void Mix::Scene::ICamera::Update | ( | Float32 | dt = `0.016f` | ) |

pure virtual

更新します

Parameters

  [in] | dt | デルタタイム

Note
  モーションブラーを使用しない場合は、デルタタイムを指定する必要はありません。

virtual const Mix::Vector3& Mix::Scene::ICamera::GetEye | ( | void |  | ) | const

pure virtual

視点を取得します

Returns
  視点の座標を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Scene::ICamera::GetAt | ( | void |  | ) | const

pure virtual

注視点を取得します

Returns
  注視点の座標を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Scene::ICamera::GetViewVector | ( | void |  | ) | const

pure virtual

ビューのベクトル(正規化されていない)を取得します

Returns
  ビューのベクトルを表す Mix::Vector3 クラス

virtual const Mix::Vector3& Mix::Scene::ICamera::GetViewForward | ( | void |  | ) | const

pure virtual

ビューの前方向(正規化されている)を取得します

Returns
  方向を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Scene::ICamera::GetViewUpward | ( | void |  | ) | const

pure virtual

ビューの上方向(正規化されている)を取得します

Returns
  方向を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Scene::ICamera::GetViewCrossDirection | ( | void |  | ) | const

pure virtual

ビューの横方向(正規化されている)を取得します

Returns
  方向を表す Mix::Vector3 クラスを返します

virtual const Mix::Matrix4x4& Mix::Scene::ICamera::GetViewMatrix | ( | void |  | ) | const

pure virtual

ビュー行列を取得します

Returns
  ビュー行列を表す Mix::Matrix4x4 クラスを返します

virtual const Mix::Geometry::Frustum& Mix::Scene::ICamera::GetFrustum | ( | void |  | ) | const

pure virtual

フラスタムを取得します

Returns
  フラスタムを表す Mix::Geometry::Frustum クラス

virtual const Mix::Matrix4x4& Mix::Scene::ICamera::GetViewProjectionMatrix | ( | void |  | ) | const

pure virtual

透視変換行列を取得します

Returns
  透視変換行列を表す Mix::Matrix4x4 クラスを返します

virtual const Mix::Matrix4x4& Mix::Scene::ICamera::GetInvViewProjectionMatrix | ( | void |  | ) | const

pure virtual

逆透視変換行列を取得します

Returns
  逆透視変換行列を表す Mix::Matrix4x4 クラスを返します

virtual const Mix::Matrix4x4& Mix::Scene::ICamera::GetBillboardMatrix | ( | void |  | ) | const

pure virtual

ビルボード行列を取得します

Returns
  ビルボード行列を表す Mix::Matrix4x4 クラスを返します

virtual const Mix::Matrix4x4& Mix::Scene::ICamera::GetBillboardMatrixY | ( | void |  | ) | const

pure virtual

Y軸固定のビルボード行列を取得します

Returns
  Y軸固定のビルボード行列を表す Mix::Matrix4x4 クラスを返します

virtual Mix::Point Mix::Scene::ICamera::Project | ( | const Mix::Vector3 & | pos | ) | const

pure virtual

ワールド座標をスクリーン座標へ変換します

Parameters

  [in] | pos | ワールド座標を表す Mix::Vector3 クラス

Returns
  スクリーン座標を表す Mix::Point クラスを返します

virtual Mix::Point Mix::Scene::ICamera::Project | ( | const Mix::Point & | viewPos,
|  | const Mix::Vector3 & | pos
| ) |  | const

pure virtual

ワールド座標をスクリーン座標へ変換します

Parameters

  [in] | viewPos | ビューポートの左上の座標を表す Mix::Point クラス
  [in] | pos | ワールド座標を表す Mix::Vector3 クラス

Returns
  スクリーン座標を表す Mix::Point クラスを返します

virtual Mix::Point Mix::Scene::ICamera::Project | ( | const Mix::Rectangle & | viewRect,
|  | const Mix::Vector3 & | pos
| ) |  | const

pure virtual

ワールド座標をスクリーン座標へ変換します

Parameters

  [in] | viewRect | ビューポートの矩形を表す Mix::Rectangle クラス
  [in] | pos | ワールド座標を表す Mix::Vector3 クラス

Returns
  スクリーン座標を表す Mix::Point クラスを返します

virtual Mix::Vector3 Mix::Scene::ICamera::Unproject | ( | const Mix::Point & | pos,
|  | Float32 | z
| ) |  | const

pure virtual

スクリーン座標をワールド座標へ変換します

Parameters

  [in] | pos | スクリーンの座標を表す Mix::Point クラス
  [in] | z | 深度( 0.0f〜1.0f );

Returns
  ワールド座標を表す Mix::Vector3 クラスを返します

virtual Mix::Vector3 Mix::Scene::ICamera::Unproject | ( | const Mix::Point & | viewPos,
|  | const Mix::Point & | pos,
|  | Float32 | z
| ) |  | const

pure virtual

スクリーン座標をワールド座標へ変換します

Parameters

  [in] | viewPos | ビューポートの左上の座標を表す Mix::Point クラス
  [in] | pos | スクリーンの座標を表す Mix::Point クラス
  [in] | z | 深度( 0.0f〜1.0f );

Returns
  ワールド座標を表す Mix::Vector3 クラスを返します

virtual Mix::Vector3 Mix::Scene::ICamera::Unproject | ( | const Mix::Rectangle & | viewRect,
|  | const Mix::Point & | pos,
|  | Float32 | z
| ) |  | const

pure virtual

スクリーン座標をワールド座標へ変換します

Parameters

  [in] | viewRect | ビューポートの矩形を表す Mix::Rectangle クラス
  [in] | pos | スクリーンの座標を表す Mix::Point クラス
  [in] | z | 深度( 0.0f〜1.0f );

Returns
  ワールド座標を表す Mix::Vector3 クラスを返します

virtual Boolean Mix::Scene::ICamera::DragObject | ( | const Mix::Point & | pos | ) |

pure virtual

シーン内のオブジェクトをドラッグします

Parameters

  [in] | pos | スクリーン上の位置を表す Mix::Point クラス

Returns
  ドラッグに成功した場合は True を返します

Note
  現在ドラッグできるものはコライダー(リジッドボディがデフォルト状態)を所持しているものに限定されます

virtual Boolean Mix::Scene::ICamera::DragObject | ( | const Mix::Point & | screenPos,
|  | const Mix::Point & | pos
| ) |  |

pure virtual

シーン内のオブジェクトをドラッグします

Parameters

  [in] | screenPos | スクリーンの左上の位置を表す Mix::Point クラス
  [in] | pos | スクリーン上の位置を表す Mix::Point クラス

Returns
  ドラッグに成功した場合は True を返します

Note
  現在ドラッグできるものはコライダー(リジッドボディがデフォルト状態)を所持しているものに限定されます

virtual Boolean Mix::Scene::ICamera::DragObject | ( | const Mix::Rectangle & | screenRect,
|  | const Mix::Point & | pos
| ) |  |

pure virtual

シーン内のオブジェクトをドラッグします

Parameters

  [in] | screenRect | スクリーンの矩形を表す Mix::Rectangle クラス
  [in] | pos | スクリーン上の位置を表す Mix::Point クラス

Returns
  ドラッグに成功した場合は True を返します

Note
  現在ドラッグできるものはコライダー(リジッドボディがデフォルト状態)を所持しているものに限定されます

virtual const Mix::Vector4& Mix::Scene::ICamera::GetBackgroundColor | ( | void |  | ) | const

pure virtual

バックグラウンドカラーを取得します

Returns
  カラーを表す Mix::Vector4 クラスを返します

virtual void Mix::Scene::ICamera::SetBackgroundColor | ( | const Mix::Vector4 & | color | ) |

pure virtual

バックグラウンドカラーを設定します

Parameters

  [in] | color | カラーを表す Mix::Vector4 クラス

virtual Mix::Graphics::TEXTURE_FILTER_TYPE Mix::Scene::ICamera::GetFilterType | ( | void |  | ) | const

pure virtual

フィルターのタイプを取得します

Returns
  タイプを表す Mix::Graphics::TEXTURE_FILTER_TYPE 列挙定数を返します

virtual void Mix::Scene::ICamera::SetFilterType | ( | Mix::Graphics::TEXTURE_FILTER_TYPE | type | ) |

pure virtual

フィルターのタイプを設定します

Parameters

  [in] | type | タイプを表す Mix::Graphics::TEXTURE_FILTER_TYPE 列挙定数

virtual Boolean Mix::Scene::ICamera::Draw | ( | void |  | ) |

pure virtual

描画します

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::ICamera::IsUnderWater | ( | void |  | ) | const

pure virtual

水中にいるかどうかを確認します

Returns
  水中にいる場合は True を返します

Note
  水中にいるかどうかの判定は Draw で行われます。

virtual const Mix::Scene::ICamera::VISIBILITY_SETTINGS& Mix::Scene::ICamera::GetVisiblitySettings | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::VISIBILITY_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::SetVisiblitySettings | ( | const Mix::Scene::ICamera::VISIBILITY_SETTINGS & | settings | ) |

pure virtual

設定をします

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::VISIBILITY_SETTINGS 構造体

virtual Boolean Mix::Scene::ICamera::IsAmbientOcclusionEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ICamera::SetAmbientOcclusionEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Scene::ICamera::AMBIENT_OCCLUSION_SETTINGS& Mix::Scene::ICamera::GetAmbientOcclusionSettings | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::AMBIENT_OCCLUSION_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::SetAmbientOcclusionSettings | ( | const Mix::Scene::ICamera::AMBIENT_OCCLUSION_SETTINGS & | settings | ) |

pure virtual

設定をします

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::AMBIENT_OCCLUSION_SETTINGS 構造体

virtual Boolean Mix::Scene::ICamera::GetAmbientOcclusionTexture | ( | Mix::Graphics::ITexture ** | ppTex | ) |

pure virtual

テクスチャを取得します。

Parameters

  [out] | ppTex | 取得したテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します。

virtual void Mix::Scene::ICamera::SetAmbientOcclusionTexture | ( | Mix::Graphics::ITexture * | pTex | ) |

pure virtual

テクスチャを設定します。

Parameters

  [in] | pTex | 設定するテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ

Note
  ここで設定されるテクスチャは、遮断を判定する際の光線を乱反射 ( reflect ) させるために使用されます。
  RGB に法線が書き込まれた、バンプテクスチャを用意してください。

virtual Boolean Mix::Scene::ICamera::IsShadowMappingEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ICamera::SetShadowMappingEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Scene::ICamera::SHADOW_MAPPING_SETTINGS& Mix::Scene::ICamera::GetShadowMappingSettings | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::SHADOW_MAPPING_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::SetShadowMappingSettings | ( | const Mix::Scene::ICamera::SHADOW_MAPPING_SETTINGS & | settings | ) |

pure virtual

設定をします

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::SHADOW_MAPPING_SETTINGS 構造体

virtual const Mix::Scene::ICamera::LUMINOSITY_SETTINGS& Mix::Scene::ICamera::GetLuminositySettings | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::LUMINOSITY_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::SetLuminositySettings | ( | const Mix::Scene::ICamera::LUMINOSITY_SETTINGS & | settings | ) |

pure virtual

設定をします

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::LUMINOSITY_ADAPTATION_SETTINGS 構造体

virtual UInt32 Mix::Scene::ICamera::ResumeLuminosityAdaptation | ( | void |  | ) |

pure virtual

輝度順応のサスペンドカウントを１減らします

Returns
  このメソッドを呼び出す前のサスペンドカウントを返します

virtual UInt32 Mix::Scene::ICamera::SusupendLuminosityAdaptation | ( | void |  | ) |

pure virtual

輝度順応のサスペンドカウントを１増やします

Returns
  このメソッドを呼び出す前のサスペンドカウントを返します

virtual UInt32 Mix::Scene::ICamera::GetLuminosityAdaptationSuspendCount | ( | void |  | ) | const

pure virtual

輝度順応のサスペンドカウントを取得します

Returns
  サスペンドカウントを返します

virtual void Mix::Scene::ICamera::ForceLuminosityAdaptation | ( | void |  | ) |

pure virtual

強制的に現在の輝度に順応させます

virtual void Mix::Scene::ICamera::SetLuminosityAdaptation | ( | Float32 | lum | ) |

pure virtual

指定した輝度に順応させます

Parameters

  [in] | lum | 輝度( 0.0f〜1.0f )

virtual Boolean Mix::Scene::ICamera::IsBloomEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ICamera::SetBloomEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual UInt32 Mix::Scene::ICamera::GetBloomOverflowNum | ( | void |  | ) | const

pure virtual

オーバーフローの数を取得します

Returns
  数を返します

virtual const Mix::Scene::ICamera::BLOOM_OVERFLOW& Mix::Scene::ICamera::GetBloomOverflow | ( | UInt32 | index | ) | const

pure virtual

オーバーフローを取得します

Parameters

  [in] | index | 取得するオーバーフローのインデックス

Returns
  オーバーフローを表す Mix::Scene::ICamera::BLOOM_OVERFLOW 構造体

virtual void Mix::Scene::ICamera::SetBloomOverflow | ( | UInt32 | index,
|  | const Mix::Scene::ICamera::BLOOM_OVERFLOW & | overflow
| ) |  |

pure virtual

オーバーフローを設定します

Parameters

  [in] | index | 設定するオーバーフローのインデックス
  [in] | overflow | オーバーフローを表す Mix::Scene::ICamera::BLOOM_OVERFLOW 構造体

virtual const Mix::Scene::ICamera::BLOOM_SETTINGS& Mix::Scene::ICamera::GetBloomSettings | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::BLOOM_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::SetBloomSettings | ( | const Mix::Scene::ICamera::BLOOM_SETTINGS & | settings | ) |

pure virtual

設定をします

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::BLOOM_SETTINGS 構造体

virtual Boolean Mix::Scene::ICamera::IsLightShaftsEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ICamera::SetLightShaftsEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Scene::ICamera::LIGHT_SHAFTS_SETTINGS& Mix::Scene::ICamera::GetLightShaftsSettings | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::LIGHT_SHAFTS_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::SetLightShaftsSettings | ( | const Mix::Scene::ICamera::LIGHT_SHAFTS_SETTINGS & | settings | ) |

pure virtual

設定をします

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::LIGHT_SHAFTS_SETTINGS 構造体

virtual Boolean Mix::Scene::ICamera::GetLightShaftsTexture | ( | Mix::Graphics::ITexture ** | ppTex | ) |

pure virtual

テクスチャを取得します。

Parameters

  [out] | ppTex | 取得したテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します。

virtual void Mix::Scene::ICamera::SetLightShaftsTexture | ( | Mix::Graphics::ITexture * | pTex | ) |

pure virtual

テクスチャを設定します。

Parameters

  [in] | pTex | 設定するテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ

Note
  ここで設定されるテクスチャは、ライトシャフト( 光芒 )に筋を入れ、鋭利に見せるために使用されます。
  RGB にモノクロのノイズが書き込まれたテクスチャを用意してください。

virtual Boolean Mix::Scene::ICamera::IsLensFlareEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ICamera::SetLensFlareEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Scene::ICamera::LENS_FLARE_SETTINGS& Mix::Scene::ICamera::GetLensFlareSettings | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::LENS_FLARE_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::SetLensFlareSettings | ( | const Mix::Scene::ICamera::LENS_FLARE_SETTINGS & | settings | ) |

pure virtual

設定をします

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::LENS_FLARE_SETTINGS 構造体

virtual Boolean Mix::Scene::ICamera::GetLensFlareTexture | ( | Mix::Scene::ICamera::LENS_FLARE_TEXTURE_TYPE | type,
|  | Mix::Graphics::ITexture ** | ppTexture
| ) |  |

pure virtual

装飾するテクスチャを取得します

Parameters

  [in] | type | テクスチャのタイプを表す Mix::Scene::ICamera::LENS_FLARE_TEXTURE_TYPE 列挙定数
  [in] | ppTexture | 取得したテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual void Mix::Scene::ICamera::SetLensFlareTexture | ( | Mix::Scene::ICamera::LENS_FLARE_TEXTURE_TYPE | type,
|  | Mix::Graphics::ITexture * | pTexture
| ) |  |

pure virtual

装飾するテクスチャを設定します

Parameters

  [in] | type | テクスチャのタイプを表す Mix::Scene::ICamera::LENS_FLARE_TEXTURE_TYPE 列挙定数
  [in] | pTexture | 設定するテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ( NULL 指定可能 )

virtual Boolean Mix::Scene::ICamera::IsFilmicEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します。

Returns
  有効な場合は True を返します。

virtual void Mix::Scene::ICamera::SetFilmicEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します。

Parameters

  [in] | state | 有効にする場合は True

virtual Mix::Scene::ICamera::FILMIC_TYPE Mix::Scene::ICamera::GetFilmicType | ( | void |  | ) | const

pure virtual

タイプを取得します

Returns
  タイプを表す Mix::Scene::ICamera::FILMIC_TYPE 列挙定数を返します

virtual Boolean Mix::Scene::ICamera::GetFilmicSettings | ( | void * | pSettings,
|  | UInt32 | size
| ) |  | const

pure virtual

パラメータを取得します

Parameters

  [in] | pSettings | 設定のコピー先のポインタ
  [in] | size | 設定のコピー先のサイズ

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::ICamera::SetFilmicType | ( | Mix::Scene::ICamera::FILMIC_TYPE | type,
|  | const void * | pSettings = `NULL`,
|  | UInt32 | size = `0`
| ) |  |

pure virtual

タイプを設定します

Parameters

  [in] | type | タイプを表す Mix::Scene::ICamera::FILMIC_TYPE 列挙定数
  [in] | pSettings | 設定のポインタ
  [in] | size | 設定のサイズ( バイト単位 )

Returns
  成功した場合は True を返します

Note
  タイプが FI_HABLE の場合は、パラメータを設定することができます。
  パラメータの設定に使用する構造体は Mix::Scene::ICamera::FILMIC_HABLE_SETTINGS になります。
  また pSettings = NULL、paramSize = 0 の場合は、デフォルト値が設定されます。
  exposureBias = 2.0f
  shoulderStrength = 0.22f
  linearStrength = 0.3f
  linearAngle = 0.1f
  toeStrength = 0.2f
  toeNumerator = 0.01f
  toeDenominator = 0.3f
  linearWhitePointValue = 11.2f

virtual Boolean Mix::Scene::ICamera::IsGammaEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ICamera::SetGammaEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Vector3& Mix::Scene::ICamera::GetGammaValue | ( | void |  | ) | const

pure virtual

値を取得します

Returns
  値を表す Mix::Vector3 クラス

virtual void Mix::Scene::ICamera::SetGammaValue | ( | const Mix::Vector3 & | value | ) |

pure virtual

値を設定します

Parameters

  [in] | value | 値( 0.0f以上 )を表す Mix::Vector3 クラス

virtual void Mix::Scene::ICamera::SetGammaValue | ( | Float32 | value | ) |

pure virtual

値を設定します

Parameters

  [in] | value | 値( 0.0f以上 )

virtual Boolean Mix::Scene::ICamera::IsMotionBlurEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します

Returns
  友好な場合は True を返します

virtual void Mix::Scene::ICamera::SetMotionBlurEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Scene::ICamera::MOTION_BLUR_SETTINGS& Mix::Scene::ICamera::GetMotionBlurSettings | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::MOTION_BLUR_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::SetMotionBlurSettings | ( | const Mix::Scene::ICamera::MOTION_BLUR_SETTINGS & | settings | ) |

pure virtual

設定をします

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::MOTION_BLUR_SETTINGS 構造体

virtual Boolean Mix::Scene::ICamera::IsMotionBlurActivated | ( | void |  | ) | const

pure virtual

活動状態かどうかを確認します

Returns
  活動状態の場合は True を返します

Note
  活動状態とはモーションブラーの処理が行われている状態のことを表します。

virtual UInt32 Mix::Scene::ICamera::GetMotionBlurCurrentAmount | ( | void |  | ) | const

pure virtual

現在保持されている状態の数を取得します

Returns
  保持されている状態の数を返します

virtual Boolean Mix::Scene::ICamera::IsChromatismEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ICamera::SetChromatismEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Scene::ICamera::CHROMATISM_SETTINGS& Mix::Scene::ICamera::GetChromatismSettings | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::CHROMATISM_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::SetChromatismSettings | ( | const Mix::Scene::ICamera::CHROMATISM_SETTINGS & | settings | ) |

pure virtual

設定します

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::CHROMATISM_SETTINGS 構造体

virtual Boolean Mix::Scene::ICamera::IsDofEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ICamera::SetDofEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Scene::ICamera::DOF_SETTINGS& Mix::Scene::ICamera::GetDofSettings | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::DOF_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::SetDofSettings | ( | const Mix::Scene::ICamera::DOF_SETTINGS & | settings | ) |

pure virtual

設定します

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::DOF_SETTINGS 構造体

virtual Boolean Mix::Scene::ICamera::IsLensDistortionEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ICamera::SetLensDistortionEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Scene::ICamera::DISTORTION_SETTINGS& Mix::Scene::ICamera::GetLendDistortionSettings | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::DISTORTION_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::SetLendDistortionSettings | ( | const Mix::Scene::ICamera::DISTORTION_SETTINGS & | settings | ) |

pure virtual

設定します

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::DISTORTION_SETTINGS 構造体

virtual Boolean Mix::Scene::ICamera::IsVignetteEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ICamera::SetVignetteEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Scene::ICamera::VIGNETTE_SETTINGS& Mix::Scene::ICamera::GetVignetteSettings | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::VIGNETTE_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::SetVignetteSettings | ( | const Mix::Scene::ICamera::VIGNETTE_SETTINGS & | settings | ) |

pure virtual

設定をします

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::VIGNETTE_SETTINGS 構造体

virtual Mix::Scene::ICamera::ANTIALIASING_TYPE Mix::Scene::ICamera::GetAntiAliasingType | ( | void |  | ) | const

pure virtual

タイプを取得します

Returns
  タイプを表す Mix::Scene::ICamera::ANTIALIASING_TYPE 列挙定数を返します

virtual void Mix::Scene::ICamera::SetAntiAliasingType | ( | Mix::Scene::ICamera::ANTIALIASING_TYPE | type | ) |

pure virtual

タイプを設定します

Parameters

  [in] | type | タイプを表す Mix::Scene::ICamera::ANTIALIASING_TYPE 列挙定数

virtual void Mix::Scene::ICamera::Debug_SetFillType | ( | Mix::Graphics::FILL_TYPE | type | ) |

pure virtual

フィルタイプを設定します

Parameters

  [in] | type | フィルタイプを表す Mix::Graphics::FILL_TYPE 列挙定数

virtual Mix::Graphics::FILL_TYPE Mix::Scene::ICamera::Debug_GetFillType | ( | void |  | ) | const

pure virtual

フィルタイプを取得します

Returns
  フィルタイプを表す Mix::Graphics::FILL_TYPE 列挙定数を返します

virtual void Mix::Scene::ICamera::Debug_SetDrawMethod | ( | Mix::Scene::DEBUG_DRAW_METHOD | method | ) |

pure virtual

描画メソッドを設定します

Parameters

  [in] | method | 描画メソッドを表す Mix::Scene:DEBUG_DRAW_METHOD 列挙定数

virtual Mix::Scene::DEBUG_DRAW_METHOD Mix::Scene::ICamera::Debug_GetDrawMethod | ( | void |  | ) | const

pure virtual

描画メソッドを取得します

Returns
  描画メソッドを表す Mix::Scene::DEBUG_DRAW_METHOD 列挙定数を返します

virtual void Mix::Scene::ICamera::Debug_SetDrawFlags | ( | UInt32 | flags | ) |

pure virtual

描画フラグを設定します

Parameters

  [in] | flags | 描画フラグを表す Mix::Scene::DEBUG_DRAW_FLAG 列挙定数の組み合わせ

virtual UInt32 Mix::Scene::ICamera::Debug_GetDrawFlags | ( | void |  | ) | const

pure virtual

描画フラグを取得します

Returns
  描画フラグを表す Mix::Scene::DEBUG_DRAW_FLAG 列挙定数の組み合わせを返します

virtual const Mix::Scene::ICamera::DEBUG_DRAW_FILIMIC_SETTINGS& Mix::Scene::ICamera::Debug_GetDrawFilmicSettings | ( | void |  | ) | const

pure virtual

フィルミックの描画設定を取得します

Returns
  設定を表す Mix::Scene::ICamera::DEBUG_DRAW_FILIMIC_SETTINGS 構造体を返します

virtual void Mix::Scene::ICamera::Debug_SetDrawFilmicSettings | ( | const Mix::Scene::ICamera::DEBUG_DRAW_FILIMIC_SETTINGS & | settings | ) |

pure virtual

フィルミックの描画設定をします

Parameters

  [in] | settings | 設定を表す Mix::Scene::ICamera::DEBUG_DRAW_FILIMIC_SETTINGS 構造体

virtual UInt32 Mix::Scene::ICamera::Debug_GetProfile | ( | UInt32 | type,
|  | void * | pProf,
|  | UInt32 | size
| ) |  | const

pure virtual

プロファイルを取得します

Parameters

  [in] | type | タイプを表す Mix::Scene::DEBUG_PROFILE_TYPE 列挙定数
  [out] | pProf | プロファイルのコピー先のポインタ
  [in] | size | プロファイルのコピー先のサイズ

Returns
  コピーしたサイズを返します

Note
  プロファイルのタイプとコピー先になる構造体の組み合わせは以下のようになります。

  タイプ | 構造体
  --- | ---
  DPT_GENERAL | DEBUG_PROFILE_CAMERA_GENERAL
  DPT_OCTREE | DEBUG_PROFILE_CAMERA_OCTREE
  DPT_LIGHT | DEBUG_PROFILE_CAMERA_LIGHT
  DPT_WATER_POOL | DEBUG_PROFILE_CAMERA_WATER_POOL
  DPT_WIDGET | DEBUG_PROFILE_CAMERA_WIDGET
  DPT_ACTOR_MODEL | DEBUG_PROFILE_CAMERA_MODEL
  DPT_TERRAIN_MODEL | DEBUG_PROFILE_CAMERA_MODEL
  DPT_PROJ_SHADOW | DEBUG_PROFILE_CAMERA_PROJ_SHADOW
  DPT_DRAW_OPACITY | DEBUG_PROFILE_CAMERA_DRAW_OPACITY
  DPT_DRAW_NEUTRALITY | DEBUG_PROFILE_CAMERA_DRAW_NEUTRALITY
  DPT_DRAW_REFRACT | DEBUG_PROFILE_CAMERA_DRAW_REFRACT
  DPT_DRAW_TRANSPARENCY | DEBUG_PROFILE_CAMERA_DRAW_TRANSPARENCY
  DPT_POST_PROCESS | DEBUG_PROFILE_CAMERA_POST_PROCESS

virtual UInt32 Mix::Scene::ICamera::Debug_GetImageNum | ( | UInt32 | type | ) | const

pure virtual

イメージの数を取得します

Parameters

  [in] | type | タイプを表す Mix::Scene::DEBUG_IMAGE_TYPE 列挙定数

Returns
  数を返します

virtual Boolean Mix::Scene::ICamera::Debug_GetImage | ( | UInt32 | type,
|  | UInt32 | index,
|  | Mix::Graphics::ITexture ** | ppTexture
| ) |  |

pure virtual

イメージを取得します

Parameters

  [in] | type | タイプを表す Mix::Scene::DEBUG_IMAGE_TYPE 列挙定数
  [in] | index | インデックス( 0〜Debug_GetImageNum( type ) - 1 )
  [out] | ppTexture | 取得したイメージを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

The documentation for this class was generated from the following file:

- Mix/Scene/ICamera.h